import { NgRedux } from '@angular-redux/store';
import { OnDestroy, OnInit } from '@angular/core';
import { JsonFormsBaseRenderer } from '@jsonforms/angular';
import { JsonFormsState, Layout, OwnPropsOfRenderer } from '@jsonforms/core';
export declare class LayoutRenderer<T extends Layout> extends JsonFormsBaseRenderer<T> implements OnInit, OnDestroy {
    private ngRedux;
    hidden: boolean;
    private subscription;
    constructor(ngRedux: NgRedux<JsonFormsState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    readonly renderProps: OwnPropsOfRenderer[];
    trackElement(_index: number, renderProp: OwnPropsOfRenderer): string;
}
